Vulnerability Name:

CVE-2017-7546

Assigned:2017-08-10
Published:2017-08-10
Updated:2018-07-17
Summary:PostgreSQL versions before 9.2.22, 9.3.18, 9.4.13, 9.5.8 and 9.6.4 are vulnerable to incorrect authentication flaw allowing remote attackers to gain access to database accounts with an empty password.
CVSS v3 Severity:9.8 Critical (CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H)
8.5 High (Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): High
Integrity (I): High
Availibility (A): High
7.5 High (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N)
6.5 Medium (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): High
Availibility (A): None
5.6 Medium (REDHAT CVSS v3 Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L)
4.9 Medium (REDHAT Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): High
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): Low
Availibility (A): Low
CVSS v2 Severity:7.5 High (CVSS v2 Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): Partial
7.8 High (CCN CVSS v2 Vector: AV:N/AC:L/Au:N/C:N/I:C/A:N)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Athentication (Au): None
Impact Metrics:Confidentiality (C): None
Integrity (I): Complete
Availibility (A): None
Vulnerability Type:CWE-287
References:Source: DEBIAN
Type: VENDOR_ADVISORY
DSA-3935

Source: DEBIAN
Type: VENDOR_ADVISORY
DSA-3936

Source: BID
Type: VENDOR_ADVISORY
100278

Source: SECTRACK
Type: VENDOR_ADVISORY
1039142

Source: REDHAT
Type: VENDOR_ADVISORY
RHSA-2017:2677

Source: REDHAT
Type: VENDOR_ADVISORY
RHSA-2017:2678

Source: REDHAT
Type: VENDOR_ADVISORY
RHSA-2017:2728

Source: REDHAT
Type: VENDOR_ADVISORY
RHSA-2017:2860

Source: XF
Type: UNKNOWN
postgresql-cve20177546-sec-bypass(130240)

Source: GENTOO
Type: VENDOR_ADVISORY
GLSA-201710-06

Source: CONFIRM
Type: VENDOR_ADVISORY
https://www.postgresql.org/about/news/1772/

Vulnerable Configuration:Configuration 1:
  • cpe:/a:postgresql:postgresql:9.2:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.1:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.2:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.3:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.4:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.5:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.6:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.7:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.8:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.9:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.10:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.11:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.12:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.13:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.14:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.15:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.16:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.17:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.18:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.19:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.20:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.21:*:*:*:*:*:*:*

  • Configuration 2:
  • cpe:/a:postgresql:postgresql:9.3:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.3.1:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.3.2:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.3.3:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.3.4:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.3.5:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.3.6:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.3.7:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.3.8:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.3.9:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.3.10:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.3.11:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.3.12:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.3.13:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.3.14:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.3.15:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.3.16:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.3.17:*:*:*:*:*:*:*

  • Configuration 3:
  • cpe:/a:postgresql:postgresql:9.4:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.4.1:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.4.2:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.4.3:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.4.4:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.4.5:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.4.6:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.4.7:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.4.8:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.4.9:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.4.10:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.4.11:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.4.12:*:*:*:*:*:*:*

  • Configuration 4:
  • cpe:/a:postgresql:postgresql:9.5:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.5.1:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.5.2:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.5.3:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.5.4:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.5.5:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.5.6:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.5.7:*:*:*:*:*:*:*

  • Configuration 5:
  • cpe:/a:postgresql:postgresql:9.6:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.6.1:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.6.2:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.6.3:*:*:*:*:*:*:*

  • Configuration 6:
  • cpe:/o:debian:debian_linux:9.0:*:*:*:*:*:*:*

  • Configuration RedHat 1:
  • cpe:/o:redhat:enterprise_linux:7:*:*:*:*:*:*:*

  • Configuration RedHat 2:
  • cpe:/o:redhat:enterprise_linux:6:*:*:*:*:*:*:*

  • Configuration CCN 1:
  • cpe:/a:postgresql:postgresql:9.6.3:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.5.7:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.4.12:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.3.17:*:*:*:*:*:*:*
  • OR cpe:/a:postgresql:postgresql:9.2.21:*:*:*:*:*:*:*
  • AND
  • cpe:/a:ibm:security_guardium:10.0:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:powerkvm:3.1:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_guardium:10.0.1:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_guardium:10.1:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_guardium:10.1.2:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:security_guardium:10.1.3:*:*:*:*:*:*:*

  • Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:org.opensuse.security:def:20177546
    V
    CVE-2017-7546
    2018-07-19
    oval:com.redhat.rhsa:def:20172860
    P
    RHSA-2017:2860: postgresql security update (Moderate)
    2017-10-05
    oval:com.redhat.rhsa:def:20172728
    P
    RHSA-2017:2728: postgresql security update (Moderate)
    2017-09-14
    oval:com.ubuntu.xenial:def:20177546000
    V
    CVE-2017-7546 on Ubuntu 16.04 LTS (xenial) - low.
    2017-08-16
    oval:com.ubuntu.trusty:def:20177546000
    V
    CVE-2017-7546 on Ubuntu 14.04 LTS (trusty) - low.
    2017-08-16
    oval:com.ubuntu.artful:def:20177546000
    V
    CVE-2017-7546 on Ubuntu 17.10 (artful) - low.
    2017-08-16
    BACK
    postgresql postgresql 9.2
    postgresql postgresql 9.2.1
    postgresql postgresql 9.2.2
    postgresql postgresql 9.2.3
    postgresql postgresql 9.2.4
    postgresql postgresql 9.2.5
    postgresql postgresql 9.2.6
    postgresql postgresql 9.2.7
    postgresql postgresql 9.2.8
    postgresql postgresql 9.2.9
    postgresql postgresql 9.2.10
    postgresql postgresql 9.2.11
    postgresql postgresql 9.2.12
    postgresql postgresql 9.2.13
    postgresql postgresql 9.2.14
    postgresql postgresql 9.2.15
    postgresql postgresql 9.2.16
    postgresql postgresql 9.2.17
    postgresql postgresql 9.2.18
    postgresql postgresql 9.2.19
    postgresql postgresql 9.2.20
    postgresql postgresql 9.2.21
    postgresql postgresql 9.3
    postgresql postgresql 9.3.1
    postgresql postgresql 9.3.2
    postgresql postgresql 9.3.3
    postgresql postgresql 9.3.4
    postgresql postgresql 9.3.5
    postgresql postgresql 9.3.6
    postgresql postgresql 9.3.7
    postgresql postgresql 9.3.8
    postgresql postgresql 9.3.9
    postgresql postgresql 9.3.10
    postgresql postgresql 9.3.11
    postgresql postgresql 9.3.12
    postgresql postgresql 9.3.13
    postgresql postgresql 9.3.14
    postgresql postgresql 9.3.15
    postgresql postgresql 9.3.16
    postgresql postgresql 9.3.17
    postgresql postgresql 9.4
    postgresql postgresql 9.4.1
    postgresql postgresql 9.4.2
    postgresql postgresql 9.4.3
    postgresql postgresql 9.4.4
    postgresql postgresql 9.4.5
    postgresql postgresql 9.4.6
    postgresql postgresql 9.4.7
    postgresql postgresql 9.4.8
    postgresql postgresql 9.4.9
    postgresql postgresql 9.4.10
    postgresql postgresql 9.4.11
    postgresql postgresql 9.4.12
    postgresql postgresql 9.5
    postgresql postgresql 9.5.1
    postgresql postgresql 9.5.2
    postgresql postgresql 9.5.3
    postgresql postgresql 9.5.4
    postgresql postgresql 9.5.5
    postgresql postgresql 9.5.6
    postgresql postgresql 9.5.7
    postgresql postgresql 9.6
    postgresql postgresql 9.6.1
    postgresql postgresql 9.6.2
    postgresql postgresql 9.6.3
    debian debian linux 9.0
    postgresql postgresql 9.6.3
    postgresql postgresql 9.5.7
    postgresql postgresql 9.4.12
    postgresql postgresql 9.3.17
    postgresql postgresql 9.2.21
    ibm security guardium 10.0
    ibm powerkvm 3.1
    ibm security guardium 10.0.1
    ibm security guardium 10.1
    ibm security guardium 10.1.2
    ibm security guardium 10.1.3